%global modname zope.configuration
%global desc The zope configuration system provides an extensible system for supporting\
various kinds of configurations.\
\
It is based on the idea of configuration directives. Users of the configuration\
system provide configuration directives in some language that express\
configuration choices. The intent is that the language be pluggable. An XML\
language is provided by default.
%global sum Zope Configuration Markup Language (ZCML)



Name:           python-zope-configuration
Version:        4.4.1
Release:    2%{?dist}
Summary:        %{sum}

License:        ZPLv2.1
URL:            https://github.com/zopefoundation/zope.configuration
Source0:        %{url}/archive/4.4.1/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-schema
BuildRequires:  python3-zope-interface
BuildRequires:  python3-zope-i18nmessageid
BuildRequires:  python3-zope-testing


%description
%{desc}


%package -n python3-zope-configuration
Summary:        %{sum}

Requires:  python3-zope-schema
Requires:  python3-zope-interface
Requires:  python3-zope-i18nmessageid



%description -n python3-zope-configuration
%{desc}

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info


%build
%py3_build

%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/zope/configuration/tests




%files -n python3-zope-configuration
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/zope/configuration/
%{python3_sitelib}/%{modname}*

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.4.1-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.1-1
- initial build
